Subject: [Gen-art] Gen-ART Telechat review of draft-ietf-l2vpn-ipls-15.txt

From: Suresh Krishnan <[email-masked]>
Date: Wed, 29 Oct 2014 04:11:21 +0000

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-l2vpn-ipls-15.txt
Reviewer: Suresh Krishnan
Review Date: 2013/10/28
IESG Telechat date: 2013/10/30

Summary: This document is ready for publication as a Historic RFC, but I 
have some comments you may wish to address.

* Section 7.1

The Length field of the IP address TLV in case the IP address is IPv6 is 
not defined. It should be defined to be 18 (2 bytes for address family 
and 16 bytes for the IPv6 address)

* Address family reference

The IANA registry at 
http://www.iana.org/assignments/address-family-numbers/address-family-numbers.xhtml 
is a much better reference for address families than the currently 
referred RFC3232 that does not contain any of the relevant information.

Thanks
Suresh

---

From: Jari Arkko <[email-masked]>
Date: Thu, 30 Oct 2014 14:38:38 +0200

Thanks for the review, Suresh. Authors, can you take Suresh’s comments into account? Thanks.

Jari

On 29 Oct 2014, at 06:11, Suresh Krishnan <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Jari Arkko <[email-masked]>
Date: Thu, 30 Oct 2014 16:13:06 +0200

(resending in the clear  - I’ve had some PGP/SMIME trouble today.)

Jari

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 30 Oct 2014 12:41:43 -0400

Hi Suresh -
Thanks for the comments. I have updated the draft accordingly.
/himanshu

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: Wednesday, October 29, 2014 12:11 AM
To: [email-masked]; General Area Review Team
Subject: Gen-ART Telechat review of draft-ietf-l2vpn-ipls-15.txt

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft (for background on Gen-ART, please see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Summary: This document is ready for publication as a Historic RFC, but I have some comments you may wish to address.

* Section 7.1

The Length field of the IP address TLV in case the IP address is IPv6 is not defined. It should be defined to be 18 (2 bytes for address family and 16 bytes for the IPv6 address)

The IANA registry at
http://www.iana.org/assignments/address-family-numbers/address-family-numbers.xhtml
is a much better reference for address families than the currently referred RFC3232 that does not contain any of the relevant information.

Thanks
Suresh